Get Cluster Templates

Get Cluster Templates

Api to get all cluster templates

Request
URI
GET
https://{api_host}/hybridity/api/infra/cluster-templates
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Get cluster templates

Returns Array of clusterTemplate of type(s) application/json
[
    {
        "clusterType": "MANAGEMENT",
        "clusterConfig": {
            "csi": [
                {
                    "name": "vsphere-csi",
                    "properties": {
                        "isDefault": true,
                        "name": "name",
                        "timeout": "timeout"
                    }
                },
                {
                    "name": "vsphere-csi",
                    "properties": {
                        "isDefault": true,
                        "name": "name",
                        "timeout": "timeout"
                    }
                }
            ],
            "tools": [
                {
                    "name": "helm",
                    "version": "version"
                },
                {
                    "name": "helm",
                    "version": "version"
                }
            ],
            "cni": [
                {
                    "name": "calico",
                    "properties": "{}"
                },
                {
                    "name": "calico",
                    "properties": "{}"
                }
            ],
            "kubernetesVersion": "kubernetesVersion"
        },
        "masterNodes": [
            {
                "cloneMode": "fullClone",
                "memory": 2048,
                "replica": 1,
                "name": "name",
                "cpu": 1,
                "storage": 50,
                "networks": [
                    {
                        "label": "label",
                        "isManagement": true
                    }
                ],
                "labels": [
                    "labels",
                    "labels"
                ]
            }
        ],
        "name": "name",
        "workerNodes": [
            {
                "cloneMode": "fullClone",
                "memory": 2048,
                "replica": 1,
                "name": "name",
                "cpu": 2,
                "storage": 50,
                "networks": [
                    {
                        "label": "label",
                        "isManagement": true
                    },
                    {
                        "label": "label",
                        "isManagement": true
                    }
                ],
                "config": {
                    "healthCheck": {
                        "unhealthyConditions": [
                            {
                                "type": "Ready",
                                "timeout": "timeout",
                                "status": true
                            },
                            {
                                "type": "Ready",
                                "timeout": "timeout",
                                "status": true
                            }
                        ],
                        "nodeStartupTimeout": "20m0s"
                    },
                    "cpuManagerPolicy": {
                        "type": "kubernetes",
                        "properties": {
                            "systemReserved": {
                                "memoryInGiB": 1,
                                "cpu": 1
                            },
                            "kubeReserved": {
                                "memoryInGiB": 1,
                                "cpu": 1
                            }
                        },
                        "policy": "static"
                    }
                },
                "labels": [
                    "labels",
                    "labels"
                ]
            },
            {
                "cloneMode": "fullClone",
                "memory": 2048,
                "replica": 1,
                "name": "name",
                "cpu": 2,
                "storage": 50,
                "networks": [
                    {
                        "label": "label",
                        "isManagement": true
                    },
                    {
                        "label": "label",
                        "isManagement": true
                    }
                ],
                "config": {
                    "healthCheck": {
                        "unhealthyConditions": [
                            {
                                "type": "Ready",
                                "timeout": "timeout",
                                "status": true
                            },
                            {
                                "type": "Ready",
                                "timeout": "timeout",
                                "status": true
                            }
                        ],
                        "nodeStartupTimeout": "20m0s"
                    },
                    "cpuManagerPolicy": {
                        "type": "kubernetes",
                        "properties": {
                            "systemReserved": {
                                "memoryInGiB": 1,
                                "cpu": 1
                            },
                            "kubeReserved": {
                                "memoryInGiB": 1,
                                "cpu": 1
                            }
                        },
                        "policy": "static"
                    }
                },
                "labels": [
                    "labels",
                    "labels"
                ]
            }
        ],
        "description": "description",
        "id": "id",
        "tags": [
            {
                "name": "name",
                "autoCreated": true
            },
            {
                "name": "name",
                "autoCreated": true
            }
        ]
    }
]